{% extends appTheme.getTheme~'/base.html.twig' %}
{% from "default/macros/form.html.twig" import input_date %}

{% block title %}{% trans %}Recherche{% endtrans %}{% endblock %}

{% block body %}

    <div class="container">
        <h1>{% trans %}Statistiques{% endtrans %}</h1>

        <h2>{% trans %}Exporter au format PDF{% endtrans %}</h2>
        {{ form_start(statsForm, {'attr': {'class': 'dates-select'}}) }}
            <p>{% trans %}Sélectionner une période d’affichage des statistiques :{% endtrans %}</p>

            <div class="inputs-date-wrapper">
                {{ input_date(statsForm.startDate) }}
                {{ input_date(statsForm.endDate) }}
            </div>
            {{ form_row(statsForm.send, {'attr': {'class': 'border-button'}}) }}
        {{ form_end(statsForm) }}

        <h2>{% trans %}Statistiques sur les 5 derniers mois{% endtrans %}</h2>
        <div class="table-wrapper">
            <table class="stats-table">
                <thead>
                    <tr>
                        <th></th>
                        {% for month in tableHeader %}
                            <th>{{ month|format_date(locale=app.request.locale, pattern= 'MMMM-yy')}}</th>
                        {% endfor %}
                    </tr>
                </thead>
                <tbody>
                {% for keyLine, statLine in stats %}
                    <tr>
                        {% for keyValue, value in statLine %}
                            <td>
                                {% if keyLine in [2,3,4,5,6] and keyValue == 0 %}
                                    <ul>
                                        <li>{{ value }}</li>
                                    </ul>
                                {% else %}
                                    {{ value }}
                                {% endif %}
                            </td>
                        {% endfor %}
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>

        <div class="graph-wrapper">
            <img src="{{ path('stats_graph', {'date_from': dateFrom|date('Y-m-d'), 'date_to': dateTo|date('Y-m-d')}) }}"/>
        </div>
    </div>

{% endblock %}
